@import '../minerva.less/minerva.mixins.less';
@import '../minerva.less/minerva.variables.less';
@import 'mediawiki.mixins.less';

/**
 * Helper classes for special pages with changeslist elements.
 */

.mw-changeslist-links {
	& > span::before {
		content: '@{msg-parentheses-start}';
	}

	& > span:not( :first-child )::before {
		content: '@{msg-pipe-separator}';
	}

	& > span:last-child::after {
		content: '@{msg-parentheses-end}';
	}
}

// Disable parentheses and content in pager tools.
.mw-pager-tools {
	margin-left: 8px;

	&.mw-changeslist-links {
		> span::after,
		> span::before {
			content: none;
		}
	}
}

.mw-pager-tools,
.mw-history-undo {
	font-size: initial;

	a {
		float: right;
		background-color: @background-color-lightest;
		color: @color-base;
		text-decoration: none;
		font-size: @font-size-minerva-smallest;

		&::after {
			.clearfix();
		}
	}
}
